## visad
Interface ScalarMapListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  DisplayMonitor, RemoteDisplayMonitor

All Known Implementing Classes:
  Aeri, AnimationWidget, ColorMapWidget, ContourWidget, ContourWidget.ContourRangeSlider, DisplayMonitorImpl, Nasti.ChannelImage, PCS, Qdiv, RangeWidget, RemoteDisplayMonitorImpl, SelectRangeWidget, TrackWidget, VisADSlider

public interface ScalarMapListener
extends EventListener

`ScalarMapListener` is the EventListener interface for `ScalarMapEvents`.

Method Summary
`void` `controlChanged(ScalarMapControlEvent evt)` Receive a `ScalarMapEvent` when the map control changes.
`void` `mapChanged(ScalarMapEvent evt)` Receive a `ScalarMapEvent` when the map data changes.

Method Detail

### mapChanged

    public void mapChanged(ScalarMapEvent evt)
                    throws VisADException,
                           RemoteException

  Receive a `ScalarMapEvent` when the map data changes.

  Parameters:
    `evt` - the event
  Throws:
    `VisADException` - If there is a problem notifying this listener.
    `RemoteException` - If there was an RMI-related problem.

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)
                        throws VisADException,
                               RemoteException

  Receive a `ScalarMapEvent` when the map control changes.

  Parameters:
    `evt` - the event
  Throws:
    `VisADException` - If there is a problem notifying this listener.
    `RemoteException` - If there was an RMI-related problem.